import 'dart:async';

import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'method_channel_url_launcher.dart';

abstract class FlutterHlsAudioPlayerPlatform extends PlatformInterface {
  /// Constructs a UrlLauncherPlatform.
  FlutterHlsAudioPlayerPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterHlsAudioPlayerPlatform _instance = MethodChannelUrlLauncher();

  /// The default instance of [UrlLauncherPlatform] to use.
  ///
  /// Defaults to [MethodChannelUrlLauncher].
  static FlutterHlsAudioPlayerPlatform get instance => _instance;

  static set instance(FlutterHlsAudioPlayerPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<void> play(String url,
      {String title = "",
        String subtitle = "",
        Duration position = Duration.zero,
        bool isLiveStream = false,
        String token ="",
        String image = ""
      }) async {
    throw UnimplementedError('launch() has not been implemented.');

  }

  Future<void> pause() async {
    throw UnimplementedError('pause() has not been implemented.');
  }

  Future<void> stop() async {
    throw UnimplementedError('stop() has not been implemented.');
  }

  Future<void> seekTo(double seconds) async {
    throw UnimplementedError('seekTo() has not been implemented.');
  }

}