import 'dart:async';


import 'package:flutter/services.dart';

import 'flutter_hls_audio_player_platform_interface.dart';

const MethodChannel _channel = MethodChannel('tv.mta/NativeAudioChannel');

/// An implementation of [UrlLauncherPlatform] that uses method channels.
class MethodChannelUrlLauncher extends FlutterHlsAudioPlayerPlatform {
  @override
  Future<void> play(String url,
      {String title = "",
        String subtitle = "",
        Duration position = Duration.zero,
        bool isLiveStream = false,
        String token ="",
        String image = ""
      }) async {
    await _channel.invokeMethod("play", <String, dynamic>{
      "url": url,
      "title": title,
      "subtitle": subtitle,
      "position": position.inMilliseconds,
      "isLiveStream": isLiveStream,
      "token":token,
      "image":image,
    });
  }

  @override
  Future<void> pause() async {
    await _channel.invokeMethod("pause", <String, dynamic>{});
  }

  @override
  Future<void> stop() async {
    await _channel.invokeMethod("stop", <String, dynamic>{});

  }

  @override
  Future<void> seekTo(double seconds) async {
    await _channel.invokeMethod("seekTo", <String, dynamic>{
      "second": seconds,
    });

  }

}